Package org.eclipse.jdt.core.util

# Interface IVerificationTypeInfo

public interface IVerificationTypeInfo
Description of a verification type info as described in the JVM specifications. This interface may be implemented by clients.

Since:
  3.0

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`ITEM_DOUBLE`
The tag value representing double variable info
`static final int`
`ITEM_FLOAT`
The tag value representing float variable info
`static final int`
`ITEM_INTEGER`
The tag value representing integer variable info
`static final int`
`ITEM_LONG`
The tag value representing long variable info
`static final int`
`ITEM_NULL`
The tag value representing null variable info
`static final int`
`ITEM_OBJECT`
The tag value representing object variable info
`static final int`
`ITEM_TOP`
The tag value representing top variable info
`static final int`
`ITEM_UNINITIALIZED`
The tag value representing uninitialized variable info
`static final int`
`ITEM_UNINITIALIZED_THIS`
The tag value representing uninitialized this variable info

## Method Summary

Modifier and Type
Method
Description
`char[]`
`getClassTypeName()`
Answer back the name of the class type referenced by the index in the constant pool as described in the JVM specifications.
`int`
`getConstantPoolIndex()`
Answer back the constant pool index of this verification type info as described in the JVM specifications.
`int`
`getOffset()`
Answer back the offset of this verification type info as described in the JVM specifications.
`int`
`getTag()`
Answer back the tag of this verification type info as described in the JVM specifications.

## Field Details

### ITEM_TOP

static final int ITEM_TOP
The tag value representing top variable info

Since:
  3.2
See Also:
  - Constant Field Values

### ITEM_INTEGER

static final int ITEM_INTEGER
The tag value representing integer variable info

Since:
  3.2
See Also:
  - Constant Field Values

### ITEM_FLOAT

static final int ITEM_FLOAT
The tag value representing float variable info

Since:
  3.2
See Also:
  - Constant Field Values

### ITEM_DOUBLE

static final int ITEM_DOUBLE
The tag value representing double variable info

Since:
  3.2
See Also:
  - Constant Field Values

### ITEM_LONG

static final int ITEM_LONG
The tag value representing long variable info

Since:
  3.2
See Also:
  - Constant Field Values

### ITEM_NULL

static final int ITEM_NULL
The tag value representing null variable info

Since:
  3.2
See Also:
  - Constant Field Values

### ITEM_UNINITIALIZED_THIS

static final int ITEM_UNINITIALIZED_THIS
The tag value representing uninitialized this variable info

Since:
  3.2
See Also:
  - Constant Field Values

### ITEM_OBJECT

static final int ITEM_OBJECT
The tag value representing object variable info

Since:
  3.2
See Also:
  - Constant Field Values

### ITEM_UNINITIALIZED

static final int ITEM_UNINITIALIZED
The tag value representing uninitialized variable info

Since:
  3.2
See Also:
  - Constant Field Values

## Method Details

### getTag

int getTag()
Answer back the tag of this verification type info as described in the JVM specifications.

- 0 for the top type
- 1 for the int type
- 2 for the float type
- 3 for the double type
- 4 for the long type
- 5 for the null type
- 6 for the uninitialized this type
- 7 for the object type
- 8 for the uninitialized offset type

Returns:
  the tag of this verification type info as described in the JVM specifications
Since:
  3.0

### getOffset

int getOffset()
Answer back the offset of this verification type info as described in the JVM specifications. This makes sense only if the tag is 8.

Returns:
  the offset of this verification type info as described in the JVM specifications
Since:
  3.0

### getConstantPoolIndex

int getConstantPoolIndex()
Answer back the constant pool index of this verification type info as described in the JVM specifications. This makes sense only if the tag is 7.

Returns:
  the constant pool index of this verification type info as described in the JVM specifications
Since:
  3.0

### getClassTypeName

char[] getClassTypeName()
Answer back the name of the class type referenced by the index in the constant pool as described in the JVM specifications. This makes sense only if the tag is 7.

Returns:
  the name of the class type referenced by the index in the constant pool as described in the JVM specifications
Since:
  3.0